using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SMAT_CE
{
    public partial class uc_CalculationOption : UserControl
    {
        public uc_CalculationOption()
        {
            InitializeComponent();
            if (CommonClass.CurrentAnalysis == enumAnalysis.SSIADeposition)
            {
                label1.Hide();
                txtNAAQS.Hide();
                lblNAAQS_Unit.Hide();
                label4.Text = "(kg/ha)";
                label3.Location = new Point(label3.Location.X, label3.Location.Y - 43);
                txtThreshold.Location = new Point(txtThreshold.Location.X, txtThreshold.Location.Y - 43);
                label4.Location = new Point(label4.Location.X, label4.Location.Y - 43);
                
            }
            //this.txtThreshold.LostFocus += new EventHandler(Threshold_LostFocus);
        }

        private void txtNAAQS_KeyPress(object sender, KeyPressEventArgs e)
        {
            CommonClass.keypress(false, sender, e);
        }

        private void txtThreshold_KeyPress(object sender, KeyPressEventArgs e)
        {
            CommonClass.keypress(false, sender, e);
        }
    }
}
